Локальная дыра в Ubuntu способствует повышению привилегий до root

Локальная дыра в Ubuntu способствует повышению привилегий до root

Canonical выпустила апдейт для дистрибутива Ubuntu, в котором устраняется серьезная проблема безопасности, позволяющая вредоносной программе или злоумышленнику получить root-доступ. Баг затрагивает как десктопные, так и серверные версии дистрибутива.

Уязвимость, получившую идентификатор CVE-2019-7304, обнаружил Крис Моберли. Эта брешь эскалации привилегий затрагивает все версии Ubuntu, выпущеные до 19.04. К счастью, уязвимостью нельзя воспользоваться удаленно, злоумышленнику сначала придется заразить атакуемую машину.

«Версии Ubuntu до 19.04 уязвимы к процессу локального повышения привилегий, баг возникает в API snapd. Этот локальный сервис установлен по умолчанию на десктопных и серверных версиях дистрибутива. Более того, он может также присутствовать в других популярных дистрибутивах», — пишет Моберли в своем отчете.

 

«Любой локальный пользователь с низкими привилегиями может использовать эту дыру для получения root-доступа».

Как уже было упомянуто, уязвимость присутствует в Snapd — наборе инструментов от Canonical с открытым исходным кодом. Он предназначен для упаковки и запуска приложений с помощью systemd.

По словам Моберли, API Snapd некорректно обрабатывает запросы даных HTTP. Таким образом, злоумышленник может запутать API, убедив его в том, что пользователь имеет идентификатор 0 (то есть root).

В snapd версии 2.37.1 данная дыра полностью устранена.

Источник: www.anti-malware.ru

 

Комментарии

Пожалуйста, введите ваш комментарий!
пожалуйста, введите ваше имя здесь